%define prefix /usr
%define name zathura
%define version 20101104
%define release %mkrel 1
%define url http://zathura.pwmt.org/projects/jumanji

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	'as-is'
Group:		Office
URL:		%{url}
Source:		%{name}.tar.xz
Source1:        pdficon.png
Summary:	Zathura is a highly customizable and functional PDF viewer
Summary(de):	Zathura ist ein hochgradig anpassbarer und funktionale PDF-Betrachter
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpoppler-glib-devel >= 0.12.3
BuildRequires:  libgtk+2.0_0-devel >= 2.18.6
BuildRequires:  libcairo-devel >= 1.8.8
BuildRequires:  libglib2.0_0-devel >= 2.22.4
Requires:       cairo >= 1.8.8
Requires:       libgtk+2.0_0 >= 2.18.6
Requires:       poppler >= 0.12.3
Requires:       libglib2.0_0 >= 2.22.4	
Obsoletes:	%name < %version

%description
zathura is a highly customizable and functional PDF viewer based on 
the poppler rendering library and the gtk+ toolkit. The idea behind 
zathura is an application that provides a minimalistic and space 
saving interface as well as an easy usage that mainly focuses on 
keyboard interaction.

#german
%description -l de
Zathura ist ein hochgradig anpassbarer und funktionale PDF-Viewer, der auf 
die Poppler-Rendering-Bibliothek und die GTK +-Toolkit basiert. Die Idee 
hinter Zathura ist eine Anwendung zu schaffen, mit einer minimalistische 
und platzsparend Schnittstelle sowie eine einfache Bedienung, vor allem 
im Bezug auf die Tastatur.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Zathura
Name[de]=Zathura
Comment=a highly customizable and functional PDF viewer
Comment[de]=ein hochgradig anpassbarer und funktionale PDF-Betrachter
Exec=zathura
Icon=pdficon.png
Terminal=false
Type=Application
Categories=GNOME;GTK;Graphics;VectorGraphics;Viewer;X-MandrivaLinux-Office-Publishing;X-MandrivaLinux-Multimedia-Graphics;Utility;
MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;application/postscript;application/x-bzpostscript;application/x-gzpostscript;image/x-eps;image/x-bzeps;image/x-gzeps;application/x-dvi;application/x-bzdvi;application/x-gzdvi;image/vnd.djvu;image/tiff;application/x-cbr;application/x-cbz;application/x-cb7;application/x-cbt;image/*;application/vnd.sun.xml.impress;application/vnd.oasis.opendocument.presentation;
Encoding=UTF-8
EOF

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 %{SOURCE1} %buildroot%_datadir/icons/pdficon.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_datadir/icons/pdficon.png
%{_datadir}/man/man1/%{name}.1.bz2
%doc LICENSE README


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Dec 31 2010 leiche <meisssw01 at aol.com> 20101104-1leiche2010
- test
